<?php

use kernel\App;
use Phroute\Phroute\RouteCollector;

App::$collector->console("hello", [\kernel\console\controllers\MainController::class, "indexAction"]);

App::$collector->group(["prefix" => "migration"], callback: function (RouteCollector $router){
    App::$collector->console('run', [\kernel\console\controllers\MigrationController::class, 'actionRun']);
    App::$collector->console('init', [\kernel\console\controllers\MigrationController::class, 'actionCreateMigrationTable']);
    App::$collector->console('create', [\kernel\console\controllers\MigrationController::class, 'actionCreate']);
    App::$collector->console('rollback', [\kernel\console\controllers\MigrationController::class, 'actionRollback']);
});

