<?php
/**
 * @var array $menu
 */
?>
<ul class="list-unstyled components mb-5">
    <?php foreach ($menu as $item):
        $child = \kernel\services\MenuService::getChild($item->id);
        if ($child): ?>
            <li>
                <a href="#item<?=$item->id?>" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle"><?= $item->label ?></a>
                <ul class="collapse list-unstyled <?= \kernel\services\MenuService::hasActiveChild($item->id) ? "show" : "" ?>" id="item<?=$item->id?>">
                    <?php foreach ($child as $subitem): ?>
                    <li class="<?= \kernel\services\MenuService::getActiveStatus($subitem->url) ? "active" : "" ?>">
                        <a href="<?= $subitem->url ?>"><?= $subitem->label ?></a>
                    </li>
                    <?php endforeach; ?>
                </ul>
            </li>
        <?php else: ?>
            <li class="<?= $item->url === \kernel\Request::getUrlPath() ? "active" : "" ?>">
                <a href="<?= $item->url ?>"><?= $item->label ?></a>
            </li>
        <?php endif; ?>

    <?php endforeach; ?>

</ul>